package com.bonus.canteen.core.bus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@ApiModel(
   value = "BusLineEditDTO",
   description = "班车线路修改"
)
public class BusLineEditDTO {
   @ApiModelProperty("线路id")
   private @NotNull(
   message = "线路id必填"
) Long lineId;
   @ApiModelProperty("线路编号")
   private @NotBlank(
   message = "线路编号必填"
) String lineNum;
   @ApiModelProperty("线路名称")
   private @NotBlank(
   message = "线路名称必填"
) String lineName;
   @ApiModelProperty("线路站点集合")
   private @NotEmpty(
   message = "线路站点集合必填"
) @Size(
   min = 2
) List<String> lineSites;
   @ApiModelProperty("计费规则id")
   private Long billingId;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;

   public Long getLineId() {
      return this.lineId;
   }

   public String getLineNum() {
      return this.lineNum;
   }

   public String getLineName() {
      return this.lineName;
   }

   public List<String> getLineSites() {
      return this.lineSites;
   }

   public Long getBillingId() {
      return this.billingId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public BusLineEditDTO setLineId(final Long lineId) {
      this.lineId = lineId;
      return this;
   }

   public BusLineEditDTO setLineNum(final String lineNum) {
      this.lineNum = lineNum;
      return this;
   }

   public BusLineEditDTO setLineName(final String lineName) {
      this.lineName = lineName;
      return this;
   }

   public BusLineEditDTO setLineSites(final List<String> lineSites) {
      this.lineSites = lineSites;
      return this;
   }

   public BusLineEditDTO setBillingId(final Long billingId) {
      this.billingId = billingId;
      return this;
   }

   public BusLineEditDTO setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }
}
